interface StreamConfig {
    fhvideoConst: string;
    postFix: string;
    prefix: string;
}
interface MCPushConfig {
    esConfigName: string;
    streamAccountId: string;
    streamName: {
        streamA: StreamConfig;
        streamB: StreamConfig;
    };
}
interface NCConfig {
    esConfigName: string;
    rtmpURL: {
        urlA: string;
        urlB: string;
    };
    server: {
        hls: string;
        websocket: string;
    };
    streamName: {
        streamA: StreamConfig;
        streamB: StreamConfig;
    };
}
export interface PlayerOptions {
    eventId: string;
    keyVal: string;
    el: any;
    failOverSequence: string;
    config: {
        mcpush: MCPushConfig;
        ncpush: NCConfig;
        ncpull: NCConfig;
    };
    events?: any;
}
export declare class PlayerClass {
    events: any;
    container: any;
    constructor();
    /**
     * Function to instantiate the React Container class for the Player
     * @param {Object} options
     *  options.el: Element where the player should be mounted
     *  options.failOverSequence: Specify failover order
     *  options.millicast: Object containing configurations options for the Millicast player
     *  options.nanocosmos: Object containing configurations options for the Nanocosmos player
     */
    setup(options: PlayerOptions): void;
}
export {};
